import Image from 'next/image';

import error404 from '@/public/assets/404.png';

export default function NotFound() {
  const random = Math.floor(Math.random() * 100);

  if (random > 50) {
    return (
      <div className="m-auto flex h-screen flex-col items-center justify-center space-y-6">
        <h1 className="text-4xl">Oh non! Un François 404</h1>
        <Image priority src={error404} alt="François 404" width={800} height={800} />
      </div>
    );
  } else {
    return (
      <div className="m-auto flex h-screen flex-col items-center justify-center space-y-6">
        <h1 className="text-4xl">Oh non! Ce puzzle est introuvable</h1>
      </div>
    );
  }
}
